//*****************************************
// AVR ATmega1284 8x8 LED Clock
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
//
// File Name:uart1.h
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//  2018/10/25 Modify for Fifteen IN-17 Clock Taishi
//  2019/12/30 Modify for fourteen IN-172 Clock Taishi
//  2020/09/01 Modify for pr_mega1284_8x8dot_clock Taishi
//  2022/10/10 add day_of_week Display Taishi
//*****************************************


// peB
#define	V_PARITY_NON	((0 << UPM01) | (0 << UPM00))									// peB
#define	V_PARITY_EVN	((1 << UPM01) | (0 << UPM00))									// peB
#define	V_PARITY_ODD	((1 << UPM01) | (1 << UPM00))									// peB

// f[^
#define	V_DATA_8		((1 << UCSZ00) | (1 << UCSZ01))									// Wrbgf[^
#define	V_DATA_7		((0 << UCSZ00) | (1 << UCSZ01))									// Vrbgf[^

// tbrqO`̒l
#define	V_UCSR1A		(0 << U2X1)														// tbrqO`̒l: WiWlg͔̎{̕덷Ȃj

// tbrqOa̒l
#define	V_UCSR1B		(1 << TXEN1)												// tbrqOa̒l: M
//#define	V_UCSR1B		((1 << RXEN1) | (1 << RXCIE1) | (1 << TXEN1))				// tbrqOa̒l: MAM荞݉AM
//#define	V_UCSR1B		((1 << RXEN1) | (1 << RXCIE1))									// tbrqOa̒l: MAM荞݉

extern	unsigned short	gBPS1;

extern	void			uart1_init(void);
extern	void			uart1_close(void);
extern	void			uart1_change_bps(unsigned short us);


extern	void			uart1_tx_one(unsigned char uc);
extern	void			uart1_tx_str(char *str);
extern	void			uart1_tx_str_crlf(char *str);


extern	unsigned char	Get_rxd1(unsigned char *uc);

